package com.yihu.jw.entity.care.securitymonitoring;

import com.yihu.jw.entity.UuidIdentityEntityWithOperator;

import javax.persistence.Entity;
import javax.persistence.Table;
import javax.persistence.Transient;

/**
 * 紧急预警工单服务小结
 * Created by yeshijie on 2021/4/1.
 */
@Entity
@Table(name = "base_emergency_warn_conclusion")
public class EmergencyWarnConclusionDO extends UuidIdentityEntityWithOperator {

    private String orderId;//工单id
    private String patient;//工单服务的居民
    private String patientName;//居民姓名
    private String doctor;//医生
    private String doctorName;//医生姓名
    private String conclusion;//处置小结
    private String conclusionImg;//服务相关附件
    private Integer emergencyReason;//紧急预警工单发起原因 字典emergency_reason
    private Integer emergencyTreatmentStatus;//紧急预警工单处理结果 字典emergency_treatment_status

    private String ReasonName;
    private String TreatmentStatusName;

    public String getOrderId() {
        return orderId;
    }

    public void setOrderId(String orderId) {
        this.orderId = orderId;
    }

    public String getPatient() {
        return patient;
    }

    public void setPatient(String patient) {
        this.patient = patient;
    }

    public String getPatientName() {
        return patientName;
    }

    public void setPatientName(String patientName) {
        this.patientName = patientName;
    }

    public String getDoctor() {
        return doctor;
    }

    public void setDoctor(String doctor) {
        this.doctor = doctor;
    }

    public String getDoctorName() {
        return doctorName;
    }

    public void setDoctorName(String doctorName) {
        this.doctorName = doctorName;
    }

    public String getConclusion() {
        return conclusion;
    }

    public void setConclusion(String conclusion) {
        this.conclusion = conclusion;
    }

    public String getConclusionImg() {
        return conclusionImg;
    }

    public void setConclusionImg(String conclusionImg) {
        this.conclusionImg = conclusionImg;
    }

    public Integer getEmergencyReason() {
        return emergencyReason;
    }

    public void setEmergencyReason(Integer emergencyReason) {
        this.emergencyReason = emergencyReason;
    }

    public Integer getEmergencyTreatmentStatus() {
        return emergencyTreatmentStatus;
    }

    public void setEmergencyTreatmentStatus(Integer emergencyTreatmentStatus) {
        this.emergencyTreatmentStatus = emergencyTreatmentStatus;
    }

    @Transient
    public String getReasonName() {
        return ReasonName;
    }

    public void setReasonName(String reasonName) {
        ReasonName = reasonName;
    }

    @Transient
    public String getTreatmentStatusName() {
        return TreatmentStatusName;
    }

    public void setTreatmentStatusName(String treatmentStatusName) {
        TreatmentStatusName = treatmentStatusName;
    }
}
